Package: org.codehaus.groovy.macro.runtime

## [Java] Class MacroContext

- org.codehaus.groovy.macro.runtime.MacroContext

- Macro method context. Every macro method must be an extension method of it.

  Authors:
    Sergei Egorov
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MacroContext (CompilationUnit compilationUnit, org.codehaus.groovy.control.SourceUnit sourceUnit, MethodCallExpression call)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MethodCallExpression` | `getCall()` @return original method call expression
    `` | `CompilationUnit` | `getCompilationUnit()` @return current compilation unit
    `` | `org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()` @return current source unit

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MacroContext(CompilationUnit compilationUnit, org.codehaus.groovy.control.SourceUnit sourceUnit, MethodCallExpression call)

  - ### Method Detail

    - #### public MethodCallExpression getCall()

      Returns:
        original method call expression

    - #### public CompilationUnit getCompilationUnit()

      Returns:
        current compilation unit

    - #### public org.codehaus.groovy.control.SourceUnit getSourceUnit()

      Returns:
        current source unit